import { JSXElement } from "solid-js";

import { CommentsIcon } from "../../Util/Icons";
import { Post } from "../../Util/api";

export default function CommentsBUtton({ post }: { post: Post }): JSXElement {
  return (
    <>
      <div class="flex p-1">
          <CommentsIcon />
        <span class="text-1xl countdown text-center pt-1.5 px-1.5">
          <p style={{ "--value": 11 }}>{post.comments}</p>
        </span>
      </div>
    </>
  );
}
