import { JSXElement } from "solid-js";

import { ReplyIcon } from "../../Util/Icons";
import { Post } from "../../Util/api";

export default function ReplyButton({ post }: { post: Post }): JSXElement {
  return (
    <>
      <div class="flex p-1">
        <button
          class="btn btn-xs hover:border-primary rounded-base"
          aria-label="Show sign of engagement"
        >
          <ReplyIcon />
        </button>
        <span class="text-1xl countdown text-center pt-1.5 px-1.5">
          <p style={{ "--value": 11 }}>{post.comments}</p>
        </span>
      </div>
    </>
  );
}
