import { JSXElement } from "solid-js";

import { RemovePostIcon } from "../../Util/Icons";
import { Post } from "../../Util/api";

export default function RemovePostButton({ post }: { post: Post }): JSXElement {
  return (
    <>
      <div class="flex p-1">
        <button
          class="rounded-base btn btn-xs hover:border-primary"
          aria-label="Show sign of engagement"
        >
          <RemovePostIcon />
        </button>
      </div>
    </>
  );
}
